For the complete documentation index, see llms.txt. This page is also available as Markdown.

Document

Get Document V2

get
/document/v2
Query parameters
idintegerRequired

Document ID

Example: 238
Header parameters
AcceptstringOptional

Expected content type

Example: application/json
Responses
200

Successful Response

application/json
idintegerOptional
namestringOptional
urlstring · uriOptional
textstringOptional
updated_atstringOptional
created_atstringOptional
text_versionstring · nullableOptional
service_idintegerOptional
get/document/v2
GET /document/v2?id=1 HTTP/1.1
Host: api.tosdr.org
Accept: */*
{
  "id": 238,
  "name": "Data Policy",
  "url": "https://www.facebook.com/about/privacy/",
  "text": "Full Data Policy What kinds of information do we collect?...",
  "updated_at": "2024-11-08T11:07:29.772152",
  "created_at": "2018-07-17T10:12:00.598911",
  "text_version": null,
  "service_id": 182
}

Get Document V1

get
/document/v1
Query parameters
idintegerRequired

Document ID

Example: 238
Header parameters
AcceptstringOptional

Expected content type

Example: application/json
Responses
200

Successful Response

application/json
errorintegerOptional

Status code (e.g., 256 for OK)

messagestringOptional

Status message

get/document/v1
GET /document/v1?id=1 HTTP/1.1
Host: api.tosdr.org
Accept: */*
{
  "error": 256,
  "message": "OK",
  "parameters": {
    "id": 238,
    "name": "Data Policy",
    "url": "https://www.facebook.com/about/privacy/",
    "text": "Full Data Policy What kinds of information do we collect?...",
    "updated_at": "2024-11-08T11:07:29.772152",
    "created_at": "2018-07-17T10:12:00.598911",
    "text_version": null,
    "service_id": 182
  }
}

Last updated